{% extends "base.html" %}
{% block title %}Home{% endblock %}
{%- block head -%}
  <link href="{{ url_for('static', filename='css/chosen.css') }}" rel="stylesheet" media="screen">
  <link href="{{ url_for('static', filename='css/footable-0.1.css') }}" rel="stylesheet" media="screen">
{%- endblock -%}
{% block body %}
  <div class="navbar">
    <div class="navbar-inner">
      <div class="container-fluid">
        <a class="btn btn-navbar" data-toggle="collapse" data-target=".navbar-target">
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </a>
        <a class="brand" href="#" name="top"><i class="icon-onyxlogo"></i>&nbsp;OnYx</a>

        <div class="nav-collapse collapse navbar-responsive-collapse navbar-target">
          <ul class="menu nav">
            <li class="active"><a id="home" href="{{ url_for('index') }}"><i class="icon-home"></i>&nbsp;Products</a></li>
            <li class="divider-vertical"></li>
            <li><a id="components" href="{{ url_for('components') }}"><i class="icon-tags"></i>&nbsp;Components</a></li>
            <li class="divider-vertical"></li>
            <li><a id="costing" href="{{ url_for('costing') }}"><i class="icon-rupee"></i>&nbsp;Costing</a></li>
            <li class="divider-vertical"></li>
          </ul>
          <div class="btn-group pull-right">
            <a class="btn dropdown-toggle" data-toggle="dropdown" href="#">
              <i class="icon-user"></i>&nbsp;{{ user.name }} <span class="caret"></span>
            </a>
            <ul class="dropdown-menu">
              <li><a id="profile" href="{{ url_for('user_profile') }}{{ g.user.id }}"><i class="icon-cog"></i>&nbsp;Profile</a></li>
              <li class="divider"></li>
              <li><a href='{{ url_for("logout") }}'><i class="icon-signout"></i>&nbsp;Sign Out</a></li>
            </ul>
          </div>
        </div>
        <!--/.nav-collapse -->
      </div>
      <!--/.container-fluid -->
    </div>
    <!--/.navbar-inner -->
  </div>
  <!--/.navbar -->
  <!--  Main content section -->
  <div id="content" class="container-fluid"></div>
  <hr/>
  <footer>
    <p>
      &copy; 2013-2014 OnYx. All rights reserved
    </p>
  </footer>
  <div class="loading_modal"><!-- Place holder for ajax loader --></div>
{% endblock %}
{%- block pagescript -%}
    <script src="{{ url_for('static', filename='js/jquery-ui-1.10.3.custom.min.js') }}"></script>
    <script src="{{ url_for('static', filename='js/chosen.jquery.min.js') }}"></script>
    <script src="{{ url_for('static', filename='js/footable-0.1.js') }}"></script>
    <script src="{{ url_for('static', filename='js/jquery.form.js') }}"></script>
    <script src="{{ url_for('static', filename='js/common.js') }}"></script>
    <script>
       $(document).ready(homePageSetup);
    </script>
{%- endblock -%}